package com.adealink.weparty.commonui.widget.banner.indicator;

import android.view.View;

import androidx.annotation.NonNull;

import com.adealink.weparty.commonui.widget.banner.config.IndicatorConfig;
import com.adealink.weparty.commonui.widget.banner.listener.OnPageChangeListener;

public interface Indicator extends OnPageChangeListener {
    @NonNull
    View getIndicatorView();

    IndicatorConfig getIndicatorConfig();

    void onPageChanged(int count, int currentPosition);

}
